[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| BasicImageIteratorBase Class Template Reference |
--- | --- | ---

`#include "vigra/basicimage.hxx"`

## Detailed Description

### template<class IMAGEITERATOR, class PIXELTYPE, class REFERENCE, class POINTER, class LINESTARTITERATOR>
class vigra::BasicImageIteratorBase< IMAGEITERATOR, PIXELTYPE, REFERENCE, POINTER, LINESTARTITERATOR >

Implementation of the standard image iterator for vigra::BasicImage. See vigra::ImageIterator for documentation.

#include "vigra/basicimage.hxx" Namespace: vigra

The documentation for this class was generated from the following file:

- vigra/basicimage.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)